"""testthree URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.conf.urls import url
from rest_framework_bulk.routes import BulkRouter

from workreport.views import DailyReportView, ReportView, LogoutView, LoginView

router = BulkRouter()
# router = routers.DefaultRouter()
router.register(r'dailyreport', DailyReportView)

# urlpatterns = router.urls
urlpatterns = router.urls
urlpatterns += [
    url(r'^report/', ReportView.as_view()),
    url(r'^login/', LoginView.as_view()),
    url(r'^logout/', LogoutView.as_view())
]
